Package com.logicaldoc.core.automation

# Class RegexTool.RegexResult

java.lang.Object
com.logicaldoc.core.automation.RegexTool.RegexResult

Enclosing class:
  `RegexTool`

public class RegexTool.RegexResult extends Object
Result of a Regex search.

## Constructor Summary

Constructors
Constructor
Description
`RegexResult(int start, int end, String group)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getEnd()`
`String`
`getGroup()`
`int`
`getStart()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RegexResult

public RegexResult(int start, int end, String group)

Parameters:
  `start` - see `getStart()`
  `end` - see `getEnd()`
  `group` - see `getGroup()`

## Method Details

### getGroup

public String getGroup()

Returns:
  the captured group

### getStart

public int getStart()

Returns:
  the capture group's start position

### getEnd

public int getEnd()

Returns:
  the capture group's end position